Loading...
Searching...
No Matches
ranges::views::cpp20_filter_base_fn Struct Reference

Given a source range and a unary predicate, present a view of the elements that satisfy the predicate. More...

`#include <range/v3/view/filter.hpp>`

Inheritance diagram for ranges::views::cpp20_filter_base_fn:

## Public Member Functions

template<typename Rng , typename Pred > requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred, iterator_t<Rng>>
constexpr filter_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const

## Detailed Description

Given a source range and a unary predicate, present a view of the elements that satisfy the predicate.